SubjectDirectoryAttributes (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.x509

## Class SubjectDirectoryAttributes

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.x509.SubjectDirectoryAttributes

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class SubjectDirectoryAttributes
      extends ASN1Object

  This extension may contain further X.500 attributes of the subject. See also RFC 3039.

           SubjectDirectoryAttributes ::= Attributes
           Attributes ::= SEQUENCE SIZE (1..MAX) OF Attribute
           Attribute ::= SEQUENCE
           {
             type AttributeType
             values SET OF AttributeValue
           }

           AttributeType ::= OBJECT IDENTIFIER
           AttributeValue ::= ANY DEFINED BY AttributeType

  See Also:
    `for AttributeType ObjectIdentifiers.`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubjectDirectoryAttributes(java.util.Vector attributes)` Constructor from a vector of attributes.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Vector` | `getAttributes()`
    `static SubjectDirectoryAttributes` | `getInstance(java.lang.Object obj)`
    `ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubjectDirectoryAttributes

          public SubjectDirectoryAttributes(java.util.Vector attributes)

      Constructor from a vector of attributes. The vector consists of attributes of type `Attribute`
      Parameters:
        `attributes` - The attributes.

  - ### Method Detail

    - #### getInstance

          public static SubjectDirectoryAttributes getInstance(java.lang.Object obj)

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Produce an object suitable for an ASN1OutputStream. Returns:

                SubjectDirectoryAttributes ::= Attributes
                Attributes ::= SEQUENCE SIZE (1..MAX) OF Attribute
                Attribute ::= SEQUENCE
                {
                  type AttributeType
                  values SET OF AttributeValue
                }

                AttributeType ::= OBJECT IDENTIFIER
                AttributeValue ::= ANY DEFINED BY AttributeType

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a ASN1Primitive

    - #### getAttributes

          public java.util.Vector getAttributes()

      Returns:
        Returns the attributes.